Bug 94274 - [swrast] piglit arb_occlusion_query2-render regression
Summary: [swrast] piglit arb_occlusion_query2-render regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: 11.2
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2016-02-24 01:33 UTC by Vinson Lee
Modified: 2016-03-06 04:27 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
fix patch (682 bytes, patch)
2016-03-03 15:47 UTC, Ilia Mirkin
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2016-02-24 01:33:43 UTC
mesa: 4b7e219e616f64281a83c88319dc7c386809b9ec (master 11.3.0-devel)

$ ./bin/arb_occlusion_query2-render -auto
GL_ANY_SAMPLES_PASSED with passed fragments returned 25600
PIGLIT: {"result": "fail" }


922be4eab9d2a5d169dc84b3f2d99f08f3d16e5c is the first bad commit
commit 922be4eab9d2a5d169dc84b3f2d99f08f3d16e5c
Author: Ilia Mirkin <imirkin@alum.mit.edu>
Date:   Thu Feb 4 21:55:13 2016 -0500

    mesa: remove hack to fix up GL_ANY_SAMPLES_PASSED results
    
    Both st/mesa and i965 should return a true/false result now, and the
    only other driver implementing queries (radeon) doesn't support
    ARB_occlusion_query2 which added that pname.
    
    Signed-off-by: Ilia Mirkin <imirkin@alum.mit.edu>
    Reviewed-by: Marek Olšák <marek.olsak@amd.com>
    Reviewed-by: Nicolai Hähnle <nicolai.haehnle@amd.com>

:040000 040000 6dbd9f76c5d9f040f58106640ddecaf4de3f1e71 cd2b128a20f496af1694521ba2b14837942cb186 M	src
bisect run success
Comment 1 Ilia Mirkin 2016-03-03 15:47:07 UTC
Created attachment 122102 [details] [review]
fix patch

This patch fixes it for me... no time to send it out ATM though. Please confirm.
Comment 2 Vinson Lee 2016-03-03 19:36:39 UTC
(In reply to Ilia Mirkin from comment #1)
> 
> This patch fixes it for me... no time to send it out ATM though. Please
> confirm.

Patch fixes the swrast regression.

Tested-by: Vinson Lee <vlee@freedesktop.org>
Comment 3 Ilia Mirkin 2016-03-06 04:27:29 UTC
Fixed by

commit dcbf8377befde50fe4d75738e2af5813e06e8f04
Author: Ilia Mirkin <imirkin@alum.mit.edu>
Date:   Thu Mar 3 21:00:06 2016 -0500

    swrast: fix GL_ANY_SAMPLES_PASSED values in Result


bug/show.html.tmpl processed on Feb 24, 2017 at 21:51:53.
(provided by the Example extension).